Linux repositories inspector

nvidia-settings-legacy-304xx - tool for configuring the NVIDIA graphics driver (304xx legacy version)

The nvidia-settings utility is a tool for configuring the NVIDIA Linux graphics driver. It operates by communicating with the NVIDIA X driver, querying and updating state as appropriate. This communication is done with the NV-CONTROL X extension.
Values such as brightness and gamma, XVideo attributes, temperature, and OpenGL settings can be queried and configured via nvidia-settings.
304.134
Debian iconDebian 9.0
304.132
MX Linux iconMX Linux mx15
MX Linux iconMX Linux mx16
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 9.0 stretch/contribdeb304.134-12017-11-10670 kiB1.77 MiB
MX Linux iconMX Linux mx15 mx15/non-freedeb304.132-1mx150+1Jan 14672 kiB1.81 MiB
MX Linux iconMX Linux mx16 mx16/non-freedeb304.132-1mx150+1Jan 14672 kiB1.81 MiB

Applications

NVIDIA X Server Settings (304xx legacy version) icon

NVIDIA X Server Settings (304xx legacy version)

Configure NVIDIA X Server Settings (304xx legacy version)

Latest updates

MX Linux mx16 icon

MX Linux mx16 mx16/non-free: Version 304.132-1mx150+1 introduced

Jan 14
  • Rebuild for MX 15/16.
MX Linux mx15 icon

MX Linux mx15 mx15/non-free: Version 304.132-1mx150+1 introduced

Jan 14
  • Rebuild for MX 15/16.
Debian 10.0 icon

Debian 10.0 buster/contrib: Version 304.137-1 removed

Jan 12
Debian 10.0 icon

Debian 10.0 buster/contrib: Updated from 304.134-1 to 304.137-1

2017-11-26
Andreas Beckmann
  • New upstream release 304.137.
  • typos.diff: Fix more typos found by lintian.
  • Synchronize packaging with nvidia-settings 340.104-1/375.82-2.
  • 10_libxnvctrl_so_0.diff: Remove, not used for the legacy branches.
  • Resolve xorg libdir at build time.
  • Use GPL notice without FSF street address.
  • Bump Standards-Version to 4.1.1. No changes needed.
  • Use Luca's @debian.org address.
  • Remove Fathi Boudra from Uploaders. (Closes: #879414)
  • Set Rules-Requires-Root: no.
  • Use dh_missing --list-missing.
  • Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  • Remove support for versions predating 304.xx.
  • Remove Breaks/Replaces against packages older than jessie.
Luca Boccassi
  • Add patches to make the build reproducible: SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch and dummy-hostname-user-for-STAMP_C.patch
  • Remove workarounds in d/rules for date/user, it is fixed in the upstream makefiles.
  • Set build directory to _out/debian to make the build reproducible, instead of the upstream default of _out/($uname)_($uname -m).
  • Use https for all URLs.
  • Remove Debian menu system entry, deprecated in favour of Free Desktop entry.
Russ Allbery
  • Remove myself from Uploaders.
Debian 10.0 icon

Debian 10.0 buster/contrib: Version 304.134-1 introduced

2017-11-10
  • New upstream release 304.134.
  • Switch to debhelper compat level 10, no changes needed.
Debian 9.0 icon

Debian 9.0 stretch/contrib: Version 304.134-1 introduced

2017-11-10
  • New upstream release 304.134.
  • Switch to debhelper compat level 10, no changes needed.

Related packages

nvidia - NVIDIA drivers for linux
nvidia-settings - Tool for configuring the NVIDIA graphics driver
⇧ Top